Convert
POSTπ Wallet
Asset conversion. Requires the Wallet permission.
Request Parametersβ
| Name | Type | Required | Description |
|---|---|---|---|
| fromAsset | String | Yes | From asset |
| toAsset | String | Yes | To asset |
| amount | String | Yes | The amount to convert from an asset, which should be greater than 0. The maximum integer digits is 14 and the maximum decimal places is 10. |
Response Contentβ
| Name | Type | Description |
|---|---|---|
| data | Object |
example
POST
https://api.btse.com/public-api/wallet/v1/user/assets/convertRequest
{
"fromAsset": "BTC",
"toAsset": "USDT",
"amount": "1"
}
Response
{
"success": true,
"code": 1,
"msg": "Success",
"time": 1624989977940,
"data": {
"fromAsset": "BTC",
"fromAmount": "1",
"fromTransactionRef": "2025051000002",
"toAsset": "USDT",
"toAmount": "16000.0",
"toTransactionRef": "2025051000001",
"rate": "16000"
}
}